<template>
  <div class="w-full max-w-2xl bg-white shadow-lg overflow-hidden rounded-2xl">
    <table class="table-fixed w-full border-collapse">
      <thead class="border border-b-0 border-gray-300">
        <header class="p-4">
          <h2 class="font-semibold text-gray-800 w-full text-xl">Office information</h2>
          <p class="text-gray-400 mt-2">Info about employee's office</p>
        </header>
      </thead>
      <tbody class="text-gray-500">
        <tr class="border border-gray-300 bg-gray-100">
          <td class="p-4 font-semibold">office code</td>
          <td class="p-4">{{ office.officeCode }}</td>
        </tr>
        <tr class="border border-gray-300">
          <td class="p-4 font-semibold">city</td>
          <td class="p-4">{{ office.city }}</td>
        </tr>
        <tr class="border border-gray-300 bg-gray-100">
          <td class="p-4 font-semibold">phone</td>
          <td class="p-4">{{ office.phone }}</td>
        </tr>
        <tr class="border border-gray-300">
          <td class="p-4 font-semibold">address line 1</td>
          <td class="p-4">{{ office.addressLine1 }}</td>
        </tr>
        <tr class="border border-gray-300 bg-gray-100">
          <td class="p-4 font-semibold">address line 2</td>
          <td class="p-4">{{ office.addressLine2 }}</td>
        </tr>
        <tr class="border border-gray-300">
          <td class="p-4 font-semibold">state</td>
          <td class="p-4">{{ office.state }}</td>
        </tr>
        <tr class="border border-gray-300 bg-gray-100">
          <td class="p-4 font-semibold">country</td>
          <td class="p-4">{{ office.country }}</td>
        </tr>
        <tr class="border border-gray-300">
          <td class="p-4 font-semibold">postal code</td>
          <td class="p-4">{{ office.postalCode }}</td>
        </tr>
        <tr class="border border-gray-300 bg-gray-100">
          <td class="p-4 font-semibold">territory</td>
          <td class="p-4">{{ office.territory }}</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  props: ['office']
}
</script>
